# studio::GroupActionManager Class Reference

`#include <groupactionmanager.h>`

List of all members.

## Public Member Functions

void | queue_refresh ()
| GroupActionManager ()
| ~GroupActionManager ()
void | set_ui_manager (const Glib::RefPtr< Gtk::UIManager > &x)
Glib::RefPtr< Gtk::UIManager > | get_ui_manager () const
void | set_group_tree (LayerGroupTree *x)
LayerGroupTree * | get_group_tree () const
void | set_canvas_interface (const etl::handle< synfigapp::CanvasInterface > &x)
etl::handle < synfigapp::CanvasInterface > | get_canvas_interface () const
void | refresh ()
void | clear ()

## Constructor & Destructor Documentation

GroupActionManager::GroupActionManager | ( |  | ) |

GroupActionManager::~GroupActionManager | ( |  | ) |

## Member Function Documentation

void GroupActionManager::queue_refresh | ( |  | ) |

References refresh().

Referenced by set_group_tree().

void GroupActionManager::set_ui_manager | ( | const Glib::RefPtr< Gtk::UIManager > & | x | ) |

References clear(), and get_ui_manager().

Referenced by studio::Dock_LayerGroups::Dock_LayerGroups().

Glib::RefPtr<Gtk::UIManager> studio::GroupActionManager::get_ui_manager | ( |  | ) | const`[inline]`

Referenced by clear(), refresh(), and set_ui_manager().

void GroupActionManager::set_group_tree | ( | LayerGroupTree * | x | ) |

References queue_refresh().

Referenced by studio::Dock_LayerGroups::changed_canvas_view_vfunc().

LayerGroupTree* studio::GroupActionManager::get_group_tree | ( |  | ) | const`[inline]`

void GroupActionManager::set_canvas_interface | ( | const etl::handle< synfigapp::CanvasInterface > & | x | ) |

Referenced by studio::Dock_LayerGroups::changed_canvas_view_vfunc().

etl::handle<synfigapp::CanvasInterface> studio::GroupActionManager::get_canvas_interface | ( |  | ) | const`[inline]`

Referenced by refresh().

void GroupActionManager::refresh | ( |  | ) |

References _, synfigapp::Action::ParamList::add(), synfigapp::Action::CATEGORY_GROUP, clear(), synfigapp::Action::create(), get_canvas_interface(), studio::LayerGroupTree::get_selected_groups(), studio::LayerGroupTree::get_selected_layers(), and get_ui_manager().

Referenced by studio::Dock_LayerGroups::changed_canvas_view_vfunc(), and queue_refresh().

void GroupActionManager::clear | ( |  | ) |

References synfigapp::Action::create(), get_ui_manager(), and no_prev_popup().

Referenced by studio::Dock_LayerGroups::changed_canvas_view_vfunc(), refresh(), and set_ui_manager().

The documentation for this class was generated from the following files:

- groupactionmanager.h
- groupactionmanager.cpp